summaryrefslogtreecommitdiffhomepage
path: root/once/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'once/update.sh')
-rwxr-xr-xonce/update.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/once/update.sh b/once/update.sh
index d93a461..04b274a 100755
--- a/once/update.sh
+++ b/once/update.sh
@@ -31,7 +31,10 @@ for tarball in $tarballs; do
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
echo extracting files from /updates/$tarball
echo ..................................................
- tar -xpvf /updates/$tarball -C "$SYSROOT" || exit 2
+
+ if [ "$tarball" != 'updater.tar.gz' ]; then
+ tar -xpvf /updates/$tarball -C "$SYSROOT" || exit 2
+ fi
echo archiving old $tarball
echo ..................................................